Package org.opensaml.xmlsec.algorithm

# Enum Class AlgorithmDescriptor.AlgorithmType

java.lang.Object
java.lang.Enum<AlgorithmDescriptor.AlgorithmType>
org.opensaml.xmlsec.algorithm.AlgorithmDescriptor.AlgorithmType

All Implemented Interfaces:
  `Serializable`, `Comparable<AlgorithmDescriptor.AlgorithmType>`, `Constable`

Enclosing interface:
  AlgorithmDescriptor

public static enum AlgorithmDescriptor.AlgorithmType extends Enum<AlgorithmDescriptor.AlgorithmType>
Algorithm descriptor types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BlockEncryption`
Block Encryption.
`KeyAgreement`
Key Agreement.
`KeyTransport`
Key Transport.
`Mac`
Message Authentication Code (MAC).
`MessageDigest`
Message Digest.
`Signature`
Signature.
`SymmetricKeyWrap`
Symmetric Key Wrap.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AlgorithmType()`

## Method Summary

Modifier and Type
Method
Description
`static AlgorithmDescriptor.AlgorithmType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AlgorithmDescriptor.AlgorithmType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BlockEncryption

public static final AlgorithmDescriptor.AlgorithmType BlockEncryption
Block Encryption.

### Mac

public static final AlgorithmDescriptor.AlgorithmType Mac
Message Authentication Code (MAC).

### MessageDigest

public static final AlgorithmDescriptor.AlgorithmType MessageDigest
Message Digest.

### KeyAgreement

public static final AlgorithmDescriptor.AlgorithmType KeyAgreement
Key Agreement.

### KeyTransport

public static final AlgorithmDescriptor.AlgorithmType KeyTransport
Key Transport.

### Signature

public static final AlgorithmDescriptor.AlgorithmType Signature
Signature.

### SymmetricKeyWrap

public static final AlgorithmDescriptor.AlgorithmType SymmetricKeyWrap
Symmetric Key Wrap.

## Constructor Details

### AlgorithmType

private AlgorithmType()

## Method Details

### values

public static AlgorithmDescriptor.AlgorithmType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AlgorithmDescriptor.AlgorithmType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null